## boot-floppies 2.1.12

=== Makefile ===
#!/usr/bin/make -f

# Edit the variables below this line
LINGUA=C
export LINGUA

# Only define this if the boot disks are not creaed by the package maintainer
# MAINTAINER=Martin Schulze <joey@debian.org>
# export MAINTAINER

debianversion=2.1

# Customize this to refer to the path of the Debian archive.
# It has to be an absolute PATH or else the basedisks.sh script will fail.
ftp_archive=/archive/debian

architecture=$(shell dpkg --print-architecture)
export architecture

ifeq ($(architecture), powerpc)
  archive=$(ftp_archive)/dists/potato/main/binary-$(architecture)
else
  archive=$(ftp_archive)/dists/slink/main/binary-$(architecture)
endif
tools_dir=$(ftp_archive)/tools
kernel_dir=$(ftp_archive)/project/other_kernels
# incoming:=$(ftp_archive)/Incoming
incoming:=../../Incoming
local=$(ftp_archive)/local/binary-$(architecture)

# where to look for .deb files (local updates, archive base & admin dirs)
pathcmd = ls -1ft updates/P $(local)/P $(archive)/base/P $(archive)/admin/P 2>/dev/null | head -1

-include Makefile.config

kbd_package:=$(shell $(pathcmd:P=kbd-data_0.96*.deb))

#---------------------------------------------------------------------------

# IF your language uses the Latin-2 charset, add its two letter code below.
LATIN2:=cs hr pl sk
# IF your language uses the Latin-3 charset, add its two letter code below.
LATIN3:=eo
ifneq ($(strip $(findstring $(LINGUA),$(LATIN2))),)
        export FONT=iso02g.psf
endif
ifneq ($(strip $(findstring $(LINGUA),$(LATIN3))),)
        export FONT=iso03g.psf
endif

ifeq ($(FONT), iso02g.psf)
	export SFONT=iso02.f16
endif
ifeq ($(FONT), iso03g.psf)
	export SFONT=iso03.f16
endif

# [ED] avoid direct compilation of C programs from the utilities subdir
# (see the root.bin dependencies).  BTW utils target do the right job.
.SUFFIXES:

all::	build

#---------------------------------------------------------------------------
# Kernel
#---------------------------------------------------------------------------
# kver    = main kernel for bootdisks
# altkver = alternate kernel for more bootdisks
kver:=2.0.35
ifeq ($(architecture), powerpc)
  kver:=2.2.3
  kbd_package:=$(shell $(pathcmd:P=kbd-data_0.97*.deb))
else
  ifeq ($(architecture), i386)
    kver:=2.0.38
  else
    ifeq ($(architecture), sparc)
      altkver:=2.2.1
    endif
  endif
endif

# find the newest kernel image of each type
kernel:=$(shell $(pathcmd:P=kernel-image-$(kver)_*.deb))
altkernel:=$(shell $(pathcmd:P=kernel-image-$(altkver)_*.deb))

# sanity fallback for kernel
ifeq ($(strip $(kernel)),)
kernel:=kernel-image-$(kver)_$(kver)-1.deb
endif

pcmcia_package:=$(shell $(pathcmd:P=pcmcia-modules-$(kver)_*.deb))

# alpha part
kernelalpha:=../kernel-image-2.0.35-
alpha_arches:= avanti xl xlt cabriolet eb66 eb66p eb64p eb164 pc164 \
      lx164 sx164 jensen noname takara mikasa noritake alcor \
      miata miata-s sable sable-g book1 ruffian 
alpha_rescue_targets := $(alpha_arches:%=resc1440_%.bin)
alpha_drivers_targets := $(alpha_arches:%=drv1440_%.bin)

#### m68k part
kernelatari=$(archive)/base/kernel-image-2.0.36-atari_2.0.36-1.deb
kernelamiga=$(archive)/base/kernel-image-2.0.36-amiga_2.0.36-1.deb
kernelmac=$(archive)/updates/kernel-image-2.0.36-mac_2.0.36-2.deb
kernelbvme6000=$(archive)/base/kernel-image-2.0.36-bvme6000_2.0.36-1.deb
kernelmvme162=$(archive)/base/kernel-image-2.0.36-mvme162_2.0.36-1.deb
kernelmvme167=$(archive)/base/kernel-image-2.0.36-mvme167_2.0.36-1.deb
tftplilo=$(archive)/updates/tftplilo_1.0.0-1_all.deb

#### powerpc part
kernelapus:=$(shell $(pathcmd:P=kernel-image-$(kver)-apus*.deb))
kernelchrp:=$(shell $(pathcmd:P=kernel-image-$(kver)-chrp*.deb))
kernelmbx:=$(shell  $(pathcmd:P=kernel-image-$(kver)-mbx*.deb))
kernelpmac:=$(shell $(pathcmd:P=kernel-image-$(kver)-pmac*.deb))
kernelprep:=$(shell $(pathcmd:P=kernel-image-$(kver)-prep*.deb))

#### sparc part
# Sparc dist contains 3 kernels:
#  2.0.35 for sun4[cdm] (microsparc, supersparc, hypersparc, ...)
#  2.2.1  for sun4[cdm]
#  2.2.1  for sun4u (ultrasparc)
ifeq ($(architecture), sparc)
  altkernel64:=$(shell $(pathcmd:P=kernel-image-$(altkver)-sun4u_*.deb))
endif

#### Laptop part 
kerneltecra:=$(shell $(pathcmd:P=kernel-image-$(kver)-scsimod_*.deb))

#---------------------------------------------------------------------------
# Consistency checks
#---------------------------------------------------------------------------
check: localfiles check_mirror check_loop check_minix check_kernel
	@echo "check successful"

# Use this to check if your kernel has support for the minix filesystem
check_minix:
	grep minix /proc/filesystems 2>&1 >/dev/null || \
		test -f /lib/modules/`uname -r`/fs/minix.o || \
		( echo minix filesystem support needed; exit 1 )

# Use this to check if your kernel has support for the loop device
check_loop:
	grep loop /proc/devices 2>&1 >/dev/null || \
		test -f /lib/modules/`uname -r`/block/loop.o || \
		( echo loop device support needed ; exit 1 )

# Use this to check if your local mirror has all the required packages
check_mirror: check_mirror.sh
	./check_mirror.sh $(archive)

# Use this to see if you have the proper kernels available
check_kernel:
ifeq ($(architecture), i386)
	[ -f "$(kernel)" ] || \
		( echo standard kernel is not available ; exit 1 )
	[ -f "$(pcmcia_package)" ] || \
		( echo PCMCIA modules are not available ; exit 1 )
	[ -f "$(kerneltecra)" ] || \
		( echo tecra kernel is not available ; exit 1 )
else
  ifeq ($(architecture), m68k)
	[ -f "$(kernelatari)" ] || \
		( echo atari kernel is not available ; exit 1 )
	[ -f "$(kernelamiga)" ] || \
		( echo amiga kernel is not available ; exit 1 )
	[ -f "$(kernelmac)" ] || \
		( echo mac kernel is not available ; exit 1 )
	[ -f "$(kernelbvme6000)" ] || \
		( echo bvme6000 kernel is not available ; exit 1 )
	[ -f "$(kernelmvme162)" ] || \
		( echo mvme162 kernel is not available ; exit 1 )
	[ -f "$(kernelmvme167)" ] || \
		( echo mvme167 kernel is not available ; exit 1 )
else
  ifeq ($(architecture), powerpc)
	[ -f "$(kernelchrp)" ] || \
		( echo chrp kernel is not available ; exit 1 )
	[ -f "$(kernelpmac)" ] || \
		( echo pmac kernel is not available ; exit 1 )
	[ -f "$(kernelprep)" ] || \
		( echo prep kernel is not available ; exit 1 )
else
  ifeq ($(architecture), sparc)
	[ -f "$(kernel)" ] || \
		( echo standard kernel is not available ; exit 1 )
	[ -f "$(altkernel)" ] || \
		( echo alternative kernel is not available ; exit 1 )
	[ -f "$(altkernel64)" ] || \
		( echo sun4u kernel is not available ; exit 1 )
else
  ifeq ($(architecture), alpha)
	# alpha is tricky
  else
	echo unsupported architecture: $(architecture); false
       endif
      endif
    endif
  endif
endif

#---------------------------------------------------------------------------
# Don't edit below this line

ifeq ($(architecture), sparc)
silo_pkg:=$(shell $(pathcmd:P=silo_*.deb))
arch_rootdisk_deps:=silo1440k.gz silo1440k-sun4u.gz
arch_rescue_deps:=silo1440k.gz
endif

localpackages:=$(shell find $(incoming)/ -name '*_all.deb' -o -name '*_$(architecture).deb')

localfiles:: updates
ifneq ($(strip $(localpackages)),)
	for f in $(localpackages); do \
		if [ ! -f updates/`basename $$f` ]; then \
			echo copying `basename $$f` to updates/ ; \
			cp $$f updates/ ; \
		fi ; \
	done
endif

# dependency for the files that have to be copied
updates::
	mkdir -p updates

base_archive=base$(shell echo $(debianversion) | sed -e 's/\./_/').tgz

build::	localfiles
	$(MAKE) utils
	find . -name \*~ | xargs rm -f
ifeq ($(architecture), i386)
	$(MAKE) resc1440.bin drv1440.bin resc1440-safe.bin
	$(MAKE) resc1200.bin drv1200.bin 
# APH DISABLE TECRA
#	$(MAKE) resc1440tecra.bin drv1440tecra.bin resc1440tecra-safe.bin
	$(MAKE) lowmem.bin
else 
  ifeq ($(architecture), m68k)
	$(MAKE) resc720atari.bin drv720atari.bin 
	$(MAKE) resc1440atari.bin drv1440atari.bin lowmematari.bin
	$(MAKE) resc1440amiga.bin drv1440amiga.bin
	$(MAKE) resc1440mac.bin drv1440mac.bin
	$(MAKE) resc1440bvme6000.bin drv1440bvme6000.bin
	$(MAKE) resc1440mvme162.bin drv1440mvme162.bin
	$(MAKE) resc1440mvme167.bin drv1440mvme167.bin
else 
  ifeq ($(architecture), powerpc)
#	$(MAKE) resc1440apus.bin drv1440apus.bin
	$(MAKE) resc1440chrp.bin drv1440chrp.bin
#	$(MAKE) resc1440mbx.bin drv1440mbx.bin
	$(MAKE) resc1440pmac.bin drv1440pmac.bin
	$(MAKE) resc1440prep.bin drv1440prep.bin
	$(MAKE) tftpboot.img tftpboot-powerpc.img root.tar.gz
else
  ifeq ($(architecture), sparc)
	$(MAKE) resc1440.bin drv1440.bin \
			resc1440-$(altkver).bin drv1440-$(altkver).bin \
			resc1440-$(altkver)-sun4u.bin drv1440-$(altkver)-sun4u.bin \
			tftpboot.img tftpboot-$(altkver).img \
			root.tar.gz
else
  ifeq ($(architecture), alpha)
	$(MAKE) $(alpha_rescue_targets) $(alpha_drivers_targets) root1440.bin
  else
	echo unsupported architecture: $(architecture); false
       endif
      endif
    endif
  endif
endif
	$(MAKE) $(base_archive)

utils:
	$(MAKE) -C utilities KVER=$(kver) LINGUA=$(LINGUA)

define hack-dinstall-msgs
  [ -f utilities/dinstall/messages/lang_$(LINGUA).h ] ||		\
	ln -s lang_C.h utilities/dinstall/messages/lang_$(LINGUA).h
endef

define unhack-dinstall-msgs
  [ ! -L utilities/dinstall/messages/lang_$(LINGUA).h ] ||		\
	rm -f utilities/dinstall/messages/lang_$(LINGUA).h
endef

docs:
	$(hack-dinstall-msgs)
	$(MAKE) -C documentation KVER=$(kver) ALTKVER=$(altkver)	\
		RELEASE=$(debianversion)				\
		util-linux=$(shell $(pathcmd:P=util-linux_*.deb))	\
		amiga-fdisk=$(shell $(pathcmd:P=amiga-fdisk_*.deb))	\
		atari-fdisk=$(shell $(pathcmd:P=atari-fdisk_*.deb))	\
		mac-fdisk=$(shell $(pathcmd:P=mac-fdisk_*.deb))		\
		pmac-fdisk-cross=$(shell $(pathcmd:P=pmac-fdisk-cross_*.deb))
	$(unhack-dinstall-msgs)

# documentation for all architectures
all-arch-docs:
	[ -d documentation/arch ] || mkdir documentation/arch
	set -e								;\
	for arch in `grep ARCH documentation/defaults.ent | cut -d' ' -f 3`; do	\
		$(MAKE) architecture=$$arch all-arch-docs-internal	;\
	done

all-arch-docs-internal:
	$(hack-dinstall-msgs)
	$(MAKE) -C documentation KVER=$(kver) ALTKVER=$(altkver)	\
		RELEASE=$(debianversion)				\
		util-linux=$(shell $(pathcmd:P=util-linux_*.deb))	\
		amiga-fdisk=$(shell $(pathcmd:P=amiga-fdisk_*.deb))	\
		atari-fdisk=$(shell $(pathcmd:P=atari-fdisk_*.deb))	\
		mac-fdisk=$(shell $(pathcmd:P=mac-fdisk_*.deb))		\
		pmac-fdisk-cross=$(shell $(pathcmd:P=pmac-fdisk-cross_*.deb)) \
		all-arches
	$(unhack-dinstall-msgs)

# documentation for all architectures and languages
all-lang-arch-docs:
	$(MAKE) LINGUA=C all-arch-docs
	@# note that you have to manually add languages which don't have 
	@# dinstall translations; note that sk is skipped due to lack of
	@# debiandoc-sgml support
	set -e								;\
	for file in utilities/dinstall/messages/lang_*.h fi ja; do	\
	  lang=`basename $$file | sed -e 's/lang_//; s/\.h//;'`		;\
	  if [ -s utilities/dinstall/messages/lang_$$lang.h -a		\
	       -e "documentation/install.$$lang.sgml" -a		\
	       -e "documentation/release-notes.$$lang.sgml" -a		\
	       -e "documentation/dselect-beginner.$$lang.sgml" ]; then	\
	    if [ $$lang != sk ]; then 					\
	      echo "** making documentation for language $$lang"	;\
	      rm -f documentation/messages.ent				;\
	      $(MAKE) LINGUA=$$lang all-arch-docs			;\
	      echo							;\
	    else							\
	      echo "** skipping documentation for language $$lang"	;\
	    fi								\
	  fi								\
	done

release:: build
	mkdir -p release
	$(MAKE) -C documentation DESTDIR=$(shell pwd)/release install
	cp base-contents release/basecont.txt
	cp *.bin base*.tgz release/
ifeq ($(architecture), i386)
	cp documentation/README-tecra documentation/README-safe release/
	if [ -f linuxtecra ]; then cp linuxtecra release/ltecra ; fi
	# DOS tools provided for i386 only (if other arches need, eg.
	# rawrite, take them from i386 boot-disks directory)
	recode latin1:ibmpc <scripts/dos/install.bat >release/install.bat
	cd release && unzip $(tools_dir)/rawrite2.zip rawrite2.exe rawrite2.txt
	cd release && unzip -p $(tools_dir)/lodlin16.zip \
