=== utilities/Makefile ===
KVER=
CC	:= gcc
CFLAGS	:= -O2 -fomit-frame-pointer
LDFLAGS	:= -s
arch	:= $(shell dpkg --print-architecture)

#ifndef LINGUA
	LINGUA=C
	export LINGUA
#endif

SPLIT_OBJECTS= floppy_split.o

all: floppy_split
	$(MAKE) -C libfdisk "CFLAGS=-O2 -DINCLUDE_DINSTALL" libfdisk.a
	$(MAKE) -C dinstall KVER=$(KVER) INCLUDE_DINSTALL=1 build-objects
	$(MAKE) -C busybox INCLUDE_DINSTALL=1
	$(MAKE) -C writemaps loadkeys
ifneq ($(arch), m68k)
	$(MAKE) -C lowmemrd
endif

clean:
	rm -f *.o *.bak
	$(MAKE) -C libfdisk clean
	$(MAKE) -C busybox clean
	$(MAKE) -C dinstall clean
	$(MAKE) -C writemaps clean
	$(MAKE) -C lowmemrd clean

distclean: clean
	rm -f floppy_split *.o *.bak
	$(MAKE) -C busybox distclean
	$(MAKE) -C libfdisk distclean
	$(MAKE) -C dinstall distclean
	$(MAKE) -C lowmemrd distclean

floppy_split: $(SPLIT_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(SPLIT_OBJECTS)

$(SPLIT_OBJECTS): floppy_split.h
