=== utilities/libfdisk/Makefile ===
LIBS = -lc #-lefence

CFLAGS = -Wall -O2 -fomit-frame-pointer
# CFLAGS = -Wall -O2 -DARCH="i386"
# CFLAGS = -Wall -O2 -DARCH="m68k"
# CFLAGS += -g -DDEBUG

# PROGS = testing
PROGS=

OBJS = fdisk.o partbl_msdos.o partbl_osf.o partbl_sun.o partbl_amiga.o \
       partbl_atari.o partbl_mac.o

SOURCES = $(subst .o,.c,$(OBJS)) fdisk.h byteorder.h config.h testing.c

all:    depend $(PROGS)

libfdisk.a: $(OBJS)
	$(AR) rcs $@ $(OBJS)

testing: testing.o libfdisk.a
	$(CC) $(LDFLAGS) -o testing $^ $(LIBS)

depend: $(SOURCES)
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

clean: 
	rm -f $(OBJS) libfdisk.a testing.o

distclean: clean
	rm -f $(PROGS) .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif
