=== utilities/lowmemrd/Makefile ===
OBJECTS = linuxrc.o mkswap.o fdisk.o llseek.o
LIBS = ../libfdisk/libfdisk.a /usr/lib/libz.a

DEBUG=
STRIP=-s
all: linuxrc

linuxrc: $(OBJECTS) $(LIBS)
	gcc $(DEBUG) $(STRIP) -static -Wall -o linuxrc $(OBJECTS) $(LIBS)

%.o: %.c
	$(CC) -O2 $(DEBUG) -Wall -c $<

clean:
	rm -f *.o 

distclean: clean
	rm -f linuxrc zcat
