=== debian/changelog ===
boot-floppies (2.1.12) stable; urgency=low

  * update for 2.1r4
  * i386: use kernel 2.0.38; disable tecra flavor, no longer needed
  * tasks/profiles: add samba-doc and samba-common pkgs; lsof-2.0.36 and
    lpr should probably be added but I didn't

 -- Adam Di Carlo <aph@debian.org>  Thu,  9 Dec 1999 14:06:56 -0800

boot-floppies (2.1.11) unstable; urgency=low

  * Changes made by Martin Schulze <joey@debian.org> to provide proper
    German disk images.  Details follow:
    - Added support for a creator != maintainer, main Makefile and
      rootdisk.sh
    - Added detection for modules in main makefile since both minix
      support and loopback support is sufficient when provided as modules
      and kerneld/kmod
    - Extracted MSG_BOOT_MESSAGE_TEXT from all lang_<lang>.h files into a
      boot_message file.  This file will be converted by rootdisk.sh to
      use the proper charset which was required since it is displayed
      before Linux is loaded and thus the IBMPC charset is used on intel
      boxes.
    - Added support for boot_message to rootdisk.sh.  The routine for
      recoding the file was stolen from rescue.sh, well, the skeleton and
      ideas were.
    - Heavily updated de.po for root_profile, changed formattings, changed
      from "Du" to "Sie" which is more kind.
    - .bash_profile: Unset LANG before dselect is called to avoid Perl
      complain about locale.  This is a workaround and needs a proper fix
      for Perl!!!
    - Updated boot messages for SYSLINUX, changed formattings, changed
      from "Du" to "Sie" which is more kind.
    - Updated release_notes, changed formattings, changed from "Du" to
      "Sie".
    - kbdconfig.c: Turned all keyboard descriptions into defines in order
      to fit with our scheme of i18n.
    - Extended lang_C.h and lang_de.h to contain these descriptions.
    - partition_config.c: Added support for LINGUA/LANG when issuing
      `cfdisk'.  Same goes for `mkfs'.  Also added proper _test target so
      we can test this dialog locally as well.
    - Added new addresses and notices to README-Translators.
  * Updated and corrected English, German, Japanese and Russian 
    documentation (closes: Bug#38442); added Portuguese, Spanish, South
    Korean; change /etc/password to /etc/passwd (closes: Bug#42124); some
    TFTP clarifications (closes: Bug#43397)
  * skip configuring the keyboard on serial console installation.
  * fixed a problem with non-bootable floppy images on ultrasparc (new
    silo1440k-sun4u image required to build).  Compiled with silo 0.8.6-1 to
    fix a bug in booting SunOS on ultrasparc.

 -- Adam Di Carlo <aph@debian.org>  Sat, 28 Aug 1999 14:51:41 -0400

boot-floppies (2.1.10) stable; urgency=low

  * forked slink version (potato work now proceeding in the 2.2 tree)
  * rootdisk.sh: provide hde hdf hdg hdh devices on i386 (closes Bug#34934);
    provide eda and edb devices for ESDI drives (closes Bug#33938)
  * busybox/ls.c: include overflow protection patch from Avery Pennarun
    (closes Bug#33781)
  * added PS/2 keymaps for sparc (closes Bug#35649); fix problem in
    kbd support for PPC
  * fixes for /dev/console support in 2.2 kernel.  Note that 2.2 is still
    rather unofficial, although required for sun4u
  * busybox: mkswap handles v1 swap partition layouts (closes Bug#34072)
  * debian/control: version the libc6-pic dependancy (closes Bug#31797)
  * lowmem: update documentation, debian.txt now correctly states that
    this floppy is for RAM situations between 4MB and 6MB (closes Bug#33145)
  * documentation:
    new build to pick up documentation changes in the 2.1.9.x series
      (closes Bug#34691)
    correction in PDF makefiles; this was leading to bad TOCs
    low memory installation and lowmemrd.bin now better documented
      (closes Bug#26626); when root.bin is needed better documented
    boot troubleshooting: add more hints, for hlt problems and lowmem on
      i386, bad NVRAM on sparc
    require debiandoc-sgml >= 1.1.18, for content negotiated output and
      non-English documentation
    languages now building documentation for: Croatian, Finnish, Japanese,
      French, Czech (not all these languages are fully translated)

 -- Adam Di Carlo <aph@debian.org>  Sun, 18 Apr 1999 14:46:09 -0400

boot-floppies (2.1.9.2) unstable; urgency=low

  * note odd version; not official release
  * many changes for powerpc build; newt dependancy changes to be platform
    specific since powerpc needs the potato version
  * VME: Debian.txt fix, instal-vme added to installed files; Mac file
    fixes; add Minix libfdisk for Amiga
  * release-notes: some factual fixes
  * documentation: VME documentation added; Japanese, Finnish, and
    Croatian translations added; makefiles adapted to deal with
    multi-lingual documentation files; install.sgml broken up into smaller
    SGML files since the size of that file was getting unmanagable; build
    system modified to enable the build of multi-lingua docs more fully

 -- Adam Di Carlo <aph@debian.org>  Fri, 19 Mar 1999 01:46:14 -0500

boot-floppies (2.1.9.1) unstable; urgency=low

  * note odd version; not official release
  * debian/control: add libwww-perl, needed to build documentation
  * documentation: minor updates for architectures and grammar, spelling;
    "Partitioning From SunOS": new section for sparc; sparc notes about
    Sun disk labels in the dbootstrap parititoning section; add nfsroot
    and serial console support for m68k; talk about the silo a tiny bit;
    change official title of alpha to 'Alpha'

 -- Adam Di Carlo <aph@debian.org>  Sun,  7 Mar 1999 12:21:01 -0500

boot-floppies (2.1.9) unstable frozen; urgency=high

  * Maintainer release.
  * Fixed typos in es.po. Closes #33810
  * Included fixed dpkg.
  * Updated italian, spanish and espaeranto translations.

 -- Enrique Zanardi <ezanard@debian.org>  Mon,  3 Mar 1999 14:14:44 +0000

boot-floppies (2.1.8.1) unstable frozen; urgency=low


