=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Enrique Zanardi <debian-boot@lists.debian.org>
Standards-Version: 2.4.0.0

Package: boot-floppies
Architecture: all
Depends: libc6-pic (>= 2.0.7v-1) | libc6.1-pic, slang1-pic, makedev (>=2.3.1-10), newt0.25, newt0.25-dev, popt, zlib1g, zlib1g-dev, recode, make, gettext, slice, m4, lynx (>= 2.6), debiandoc-sgml (>= 1.1.29), man-db, libpaperg, tetex-bin, tetex-extra, libwww-perl
Suggests: unzip
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.
